

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Customers](
	[CustomerId] [int] NOT NULL,
	[Name] [varchar](100) NOT NULL,
	[Country] [varchar](50) NOT NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


/****** Object:  UserDefinedTableType [dbo].[CustomerType]    Script Date: 6/11/2014 6:41:15 PM ******/
CREATE TYPE [dbo].[CustomerType] AS TABLE(
	[Id] [int] NULL,
	[Name] [varchar](100) NULL,
	[Country] [varchar](50) NULL
)
GO

CREATE PROCEDURE [dbo].[Insert_Customers]
	@tblCustomers CustomerType READONLY
AS
BEGIN
	SET NOCOUNT ON;
	
	INSERT INTO Customers (CustomerId, Name, Country)
	SELECT Id, Name, Country FROM @tblCustomers
END

GO




